[**@rxap/open-api v19.2.0-dev.3**](../README.md)

***

[@rxap/open-api](../globals.md) / NotContainsReferenceObjects

# Function: NotContainsReferenceObjects()

> **NotContainsReferenceObjects**\<`T`\>(`array`?): `array is T[]`

Defined in: [packages/angular/open-api/src/lib/utilities.ts:8](https://gitlab.com/rxap/packages/-/blob/2042e24ce69e05f30c2866a6fa61d9fd6fd89a30/packages/angular/open-api/src/lib/utilities.ts#L8)

## Type Parameters

• **T**

## Parameters

### array?

(`undefined` \| `ReferenceObject` \| `T`)[]

## Returns

`array is T[]`
